Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class ConfigurationInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.ConfigurationInfo

public final class ConfigurationInfo
extends InfoObject

Provides information about configuration information defined by a plugin.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static int` | `KEY_DATA` Key value to retrieve the `PluginData` implementation class name.
`static int` | `KEY_PANEL` Key value to retrieve the `PluginPanel` implementation class name.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`ConfigurationInfo(java.lang.String pluginName, int ID, java.lang.String description, java.lang.String[] classNames)` Create a new `ConfigurationInfo` object.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_DATA

    public static final int KEY_DATA

  Key value to retrieve the `PluginData` implementation class name.

### KEY_PANEL

    public static final int KEY_PANEL

  Key value to retrieve the `PluginPanel` implementation class name.

Constructor Detail

### ConfigurationInfo

    public ConfigurationInfo(java.lang.String pluginName,
                             int ID,
                             java.lang.String description,
                             java.lang.String[] classNames)

  Create a new `ConfigurationInfo` object.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this `ConfigurationInfo`.
    `ID` - The unique plugin-supplied identifier for this `ConfigurationInfo`.
    `description` - The localized description of this `ConfigurationInfo`.
    `classNames` - A two-element array to identify plugin-supplied classes related to this `ConfigurationInfo`. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)